## lazarus 1.8.0~rc3+dfsg

=== debian/changelog ===
lazarus (1.8.0~rc3+dfsg-2ubuntu1) artful; urgency=medium

  * Skip new failing examples in autopkgtest
  * Update debian/clean

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jul 2017 12:01:25 +0200

lazarus (1.8.0~rc3+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Paul Gevers <elbrus@debian.org>  Tue, 11 Jul 2017 19:25:15 +0200

lazarus (1.8.0~rc3+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Bump standards version to 4.0.0 (no changes)

 -- Paul Gevers <elbrus@debian.org>  Sat, 08 Jul 2017 22:16:03 +0200

lazarus (1.8.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release
    - Refesh patches
  * Update upstream web-page and use https
  * Bump build depends on fpc 3.0.2 (as upstream does and to get fpc from
    experimental)
  * Improved d/watch file

 -- Paul Gevers <elbrus@debian.org>  Fri, 09 Jun 2017 14:53:46 +0200

lazarus (1.8.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream release
    - Strip new non-dfsg icon before tar ball generation
    - Update patches
  * Update d/copyright
  * Replace stripped icon with free solution (following upstream)
  * Move lazarus-ide-qt from qt4 to qt5
  * In lazarus replace lazarus-doc Depends by Recommends

 -- Paul Gevers <elbrus@debian.org>  Fri, 02 Jun 2017 20:22:21 +0200
