## lazarus 1.8.0~rc4+dfsg

=== debian/changelog ===
lazarus (1.8.0~rc4+dfsg-1) unstable; urgency=medium

  [ Graham Inggs ]
  * Skip new failing examples in autopkgtest
  * Update debian/clean

  [ Paul Gevers ]
  * New upstream release
  * Bump standards version to 4.0.1 (no changes)
  * Don't build lazarus-ide-qt5-# on mips/mipsel
  * Use dh_missing --fail-missing iso dh_install --list-missing

 -- Paul Gevers <elbrus@debian.org>  Wed, 16 Aug 2017 21:33:24 +0200
