=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: lazarus
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
+Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders:
            Abou Al Montacir <abou.almontacir@sfr.fr>,
            Paul Gevers <elbrus@debian.org>
-Standards-Version: 4.0.0
+Standards-Version: 4.0.1
 Build-Depends: debhelper (>= 10~),
+               dh-exec (>=0.22),
                fp-utils (>= 3.0.0+dfsg-5),
                fpc (>= 3.0.2~),
                fpc-source (>= 3.0.2~),
@@ -141,7 +141,7 @@
  This package contains the GTK+ version of the Lazarus IDE.
 
 Package: lazarus-ide-qt5-1.8
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 m68k powerpc
 Depends: lazarus-ide-1.8,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -310,3 +310,4 @@
 Breaks: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
 Replaces: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
 Built-Using: fpc (= ${Build-Using})
+Description: Lazarus Components Library - GTK+ backend
