=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow
 export DH_ALWAYS_EXCLUDE := COPYING:LICENSE
 export LANG:=C
+
+include /usr/share/dpkg/architecture.mk
 
 # Documentation type to use chm/html
 ifeq (${DEBDOCTYPE},)
@@ -98,7 +100,11 @@
 	@echo "--- Cleaning"
 	dh_testdir
 	dh_testroot
+ifneq ($(DEB_HOST_ARCH_CPU),mips)
+ifneq ($(DEB_HOST_ARCH_CPU),mipsel)
 	[ ! -f Makefile ] || $(MAKE) distclean ${BUILDOPTS} LCL_PLATFORM=qt5
+endif
+endif
 	[ ! -f Makefile ] || $(MAKE) distclean ${BUILDOPTS} LCL_PLATFORM=gtk2
 	$(MAKE) -C docs/html clean
 	find -regex '.*\.\(a\|or?\|so\.*\|ppu\|rsj\)' -delete
@@ -112,6 +118,9 @@
 	@echo "--- Creating/fixing *.install files"
 	DEB_SUBST_PACKAGESUFFIX=${PACKAGESUFFIX} \
 	$< debian/*.in
+	# Because we use dh-exec to not build/install the qt flavor on mips/mipsel,
+	# we need the lazarus-ide-qt5-*.install files to be executable
+	chmod a+x debian/lazarus-ide-qt5-*.install
 	touch debian-files-stamp
 
 make-files: make-files-stamp
@@ -155,9 +164,13 @@
 build-arch-stamp: ${DEB_HOST_FPC_OPT}
 	@echo "--- Building"
 	dh_testdir
+ifneq ($(DEB_HOST_ARCH_CPU),mips)
+ifneq ($(DEB_HOST_ARCH_CPU),mipsel)
 	# QT5
 	${MAKE} bigide ${BUILDOPTS} LCL_PLATFORM=qt5
 	${MV} $(CURDIR)/lazarus $(CURDIR)/lazarus-qt5
+endif
+endif
 	# GTK2
 	${MAKE} bigide ${BUILDOPTS} LCL_PLATFORM=gtk2
 	${MV} $(CURDIR)/lazarus $(CURDIR)/lazarus-gtk2
@@ -174,12 +187,28 @@
 	${MKDIR} ${LIB_DIR}/tools
 	${MKDIR} ${LIB_DIR}/components/chmhelp/lhelp
 	# Install the IDE & its accessories
+ifeq ($(DEB_HOST_ARCH_CPU),mips)
+	${CP} -t ${LIB_DIR} \
+		$(CURDIR)/lazarus-gtk2 \
+		$(CURDIR)/lazbuild \
+		$(CURDIR)/startlazarus \
+		$(CURDIR)/languages
+else
+ifeq ($(DEB_HOST_ARCH_CPU),mipsel)
+	${CP} -t ${LIB_DIR} \
+		$(CURDIR)/lazarus-gtk2 \
+		$(CURDIR)/lazbuild \
+		$(CURDIR)/startlazarus \
+		$(CURDIR)/languages
+else
 	${CP} -t ${LIB_DIR} \
 		$(CURDIR)/lazarus-gtk2 \
 		$(CURDIR)/lazarus-qt5 \
 		$(CURDIR)/lazbuild \
 		$(CURDIR)/startlazarus \
 		$(CURDIR)/languages
+endif
+endif
 	${CP} -t ${LIB_DIR}/tools \
 		$(CURDIR)/tools/lazres \
 		$(CURDIR)/tools/lrstolfm \
@@ -207,14 +236,3 @@
 	convert -geometry 32x32 $(CURDIR)/images/ide_icon48x48.png $(INSTALL_DIR_ARCH)/usr/share/pixmaps/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.xpm
 	sed -e 's/Lazarus.*/& (${DEB_UPSTREAM_MAIN_VERSION})/' -e 's/Exec=startlazarus/&-${DEB_UPSTREAM_MAIN_VERSION}/' $(CURDIR)/install/lazarus.desktop > $(INSTALL_DIR_ARCH)/usr/share/applications/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.desktop
 	# Install configuration files
-	${MKDIR} $(INSTALL_DIR_ARCH)/etc/lazarus${PACKAGESUFFIX}
-	sed -e "s#__LAZARUSDIR__#/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION}/#" -e 's#__FPCSRCDIR__#/usr/share/fpcsrc/$$(FPCVER)/#' ${CURDIR}/tools/install/linux/environmentoptions.xml > $(INSTALL_DIR_ARCH)/etc/lazarus${PACKAGESUFFIX}/environmentoptions.xml
-	fpcsubst -d LazarusVersion=${DEB_UPSTREAM_MAIN_VERSION} -i ${CURDIR}/tools/install/linux/helpoptions.xml -o $(INSTALL_DIR_ARCH)/etc/lazarus${PACKAGESUFFIX}/helpoptions.xml
-	# Install contributer list
-	${MKDIR} ${DOC_DIR_ARCH}/docs
-	${CP} -t ${DOC_DIR_ARCH}/docs \
-		$(CURDIR)/docs/lazdoc.css \
-		$(CURDIR)/docs/Contributors.txt \
-		$(CURDIR)/docs/acknowledgements.txt
-	find ${INSTALL_DIR_ARCH} -empty -delete
-
