## lazarus 1.8.0~rc5+dfsg

=== debian/changelog ===
lazarus (1.8.0~rc5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Forgot to also not build lcl-qt5-# on mips/mipsel
  * Update d/copyright for new files

 -- Paul Gevers <elbrus@debian.org>  Sat, 19 Aug 2017 09:37:56 +0200
