=== debian/rules ===
--- 
+++ 
@@ -119,8 +119,8 @@
 	DEB_SUBST_PACKAGESUFFIX=${PACKAGESUFFIX} \
 	$< debian/*.in
 	# Because we use dh-exec to not build/install the qt flavor on mips/mipsel,
-	# we need the lazarus-ide-qt5-*.install files to be executable
-	chmod a+x debian/lazarus-ide-qt5-*.install
+	# we need the *-qt?-*.install files to be executable
+	chmod a+x debian/*-qt?-*.install
 	touch debian-files-stamp
 
 make-files: make-files-stamp
