=== debian/watch ===
version=3
opts=uversionmangle=s/(RC)/\L$1/;\
s/(\d)-?((rc|pre|dev|beta|alpha|b|a))/$1~$2/;\
s/\-\d//;\
s/\-src//,\
dversionmangle=s/\+dfsg// \
http://qa.debian.org/watch/sf.php/lazarus/lazarus-(.+\..+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)) \
debian debian/orig-tar.sh
