## lazarus 1.8.0+dfsg

=== debian/changelog ===
lazarus (1.8.0+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Paul Gevers <elbrus@debian.org>  Mon, 18 Dec 2017 20:00:06 +0100

lazarus (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Add the right version dependency on debhelper
  * Update d/rules to use dpkg/pkg-info.mk instead of dpkg-parsechangelog
    (thanks Lintian)
  * Bump standards version to 4.1.2 (no changes)

 -- Paul Gevers <elbrus@debian.org>  Sun, 10 Dec 2017 11:27:47 +0100
