=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders:
            Abou Al Montacir <abou.almontacir@sfr.fr>,
            Paul Gevers <elbrus@debian.org>
-Standards-Version: 4.0.1
-Build-Depends: debhelper (>= 10~),
+Standards-Version: 4.1.2
+Build-Depends: debhelper (>= 10.3~),
                dh-exec (>=0.22),
                fp-utils (>= 3.0.0+dfsg-5),
                fpc (>= 3.0.2~),
