## lazarus 1.8.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders:
            Abou Al Montacir <abou.almontacir@sfr.fr>,
            Paul Gevers <elbrus@debian.org>
-Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 10.3~),
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11~),
                dh-exec (>=0.22),
                fp-utils (>= 3.0.0+dfsg-5),
                fpc (>= 3.0.2~),
@@ -17,9 +17,10 @@
                po-debconf,
                rdfind,
                symlinks
-Vcs-Git: https://anonscm.debian.org/git/pkg-pascal/lazarus.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-pascal/lazarus.git
+Vcs-Git: https://salsa.debian.org/pascal-team/lazarus.git
+Vcs-Browser: https://salsa.debian.org/pascal-team/lazarus.git
 Homepage: https://www.lazarus-ide.org/
+Rules-Requires-Root: no
 
 Package: lazarus-1.8
 Architecture: all
@@ -310,4 +311,3 @@
 Breaks: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
 Replaces: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
 Built-Using: fpc (= ${Build-Using})
-Description: Lazarus Components Library - GTK+ backend
