## lazarus 1.8.2+dfsg

=== debian/changelog ===
lazarus (1.8.2+dfsg-3) unstable; urgency=medium

  * Armhf pie logic didn't work, redo.

 -- Paul Gevers <elbrus@debian.org>  Sun, 04 Mar 2018 09:07:38 +0100

lazarus (1.8.2+dfsg-2) unstable; urgency=medium

  * Remove -pie for mips, mipsel and armhf because it causes FTBFS

 -- Paul Gevers <elbrus@debian.org>  Sat, 03 Mar 2018 21:26:18 +0100

lazarus (1.8.2+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Link binaries with -pie for hardening
  * Link binaries with --as-needed to prevent unneeded dependencies
  * Minor packaging improvements

 -- Paul Gevers <elbrus@debian.org>  Fri, 02 Mar 2018 21:52:16 +0100
