=== debian/rules ===
--- 
+++ 
@@ -73,9 +73,16 @@
 DEB_HOST_MULTIARCH ?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_BUILD_MULTIARCH ?=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
 
-LDFLAGS=$(strip $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) \
+LDFLAGS:=$(strip $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) \
 	dpkg-buildflags --get LDFLAGS | \
-	sed -e 's/-Wl,//g' -e 's/,/ /g' -e 's1-specs=/usr/share/dpkg/.*\.specs11'))
+	sed -e 's/-Wl,//g' -e 's/,/ /g' -e 's1-specs=/usr/share/dpkg/.*\.specs11')) --as-needed
+ifneq ($(DEB_HOST_ARCH_CPU),mips)
+ifneq ($(DEB_HOST_ARCH_CPU),mipsel)
+ifneq ($(DEB_HOST_ARCH_ABI),eabihf)
+LDFLAGS:=$(LDFLAGS) -pie
+endif
+endif
+endif
 
 #export DH_VERBOSE=1
