## lazarus 1.8.4+dfsg

=== debian/changelog ===
lazarus (1.8.4+dfsg-3) unstable; urgency=medium

  [ Paul Gevers ]
  * Upstream replaced non-free icon, so don't strip it anymore

  [ Abou Al Montacir ]
  * Revert "Stop adding manually compiled flag from packages. Added
    missing units." which caused FTBFS in some packages (Closes: #906349)

 -- Graham Inggs <ginggs@debian.org>  Tue, 25 Sep 2018 14:29:34 +0000

lazarus (1.8.4+dfsg-2) unstable; urgency=medium

  * Removed the need to define FPCDIR for building Lazarus source package.
  * Stop adding manually compiled flag from packages. Added missing units.
    Thanks to Alexander Kernozhitsky (Closes: Bug#898310)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 18 Jul 2018 18:16:37 +0200

lazarus (1.8.4+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Hopefully restore reproducibility again

 -- Paul Gevers <elbrus@debian.org>  Thu, 24 May 2018 09:30:04 +0200
