=== debian/rules ===
--- 
+++ 
@@ -57,15 +57,11 @@
 ifndef FPCMAKE
 FPCMAKE=fpcmake
 endif
-# Define FPCDIR if it was not set
-ifndef FPCDIR
-export FPCDIR=/usr/share/fpcsrc/${FPCVER}
 # Set default compilation options
 DEB_BUILD_FPC_OPT=debian/deb-build-fpc.cfg
 DEB_HOST_FPC_OPT=debian/deb-host-fpc.cfg
 BUILDOPTS=USESVN2REVISIONINC=0 OPT='@${CURDIR}/${DEB_HOST_FPC_OPT}'
 INSTALLOPTS=PREFIX=$(INSTALL_DIR_ARCH)/usr
-endif
 ifndef LAZBUILD
 export LAZBUILD=${CURDIR}/lazbuild --lazarusdir=../..
 endif
@@ -76,12 +72,9 @@
 LDFLAGS:=$(strip $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) \
 	dpkg-buildflags --get LDFLAGS | \
 	sed -e 's/-Wl,//g' -e 's/,/ /g' -e 's1-specs=/usr/share/dpkg/.*\.specs11')) --as-needed
-ifneq ($(DEB_HOST_ARCH_CPU),mips)
-ifneq ($(DEB_HOST_ARCH_CPU),mipsel)
-ifneq ($(DEB_HOST_ARCH_ABI),eabihf)
+# Build with -pie everywhere except armhf, mips, mipsel
+ifeq (,$(filter $(DEB_HOST_ARCH),armhf mips mipsel))
 LDFLAGS:=$(LDFLAGS) -pie
-endif
-endif
 endif
 
 #export DH_VERBOSE=1
@@ -96,16 +89,15 @@
 	# Make sure the debconf translations are always up-to-date
 	debconf-updatepo
 	# Make sure the list with timestamps is up-to-date
-	[ ! $$(which fp-fix-timestamps) ] || fp-fix-timestamps update
+	# if the check fails, update with "fp-fix-timestamps update" and commit
+	[ ! $$(which fp-fix-timestamps) ] || fp-fix-timestamps check
 
 clean-patched: make-files
 	@echo "--- Cleaning"
 	dh_testdir
-	dh_testroot
-ifneq ($(DEB_HOST_ARCH_CPU),mips)
-ifneq ($(DEB_HOST_ARCH_CPU),mipsel)
+# Build qt5 platform everywhere except mips and mipsel
+ifeq (,$(filter $(DEB_HOST_ARCH),mips mipsel))
 	[ ! -f Makefile ] || $(MAKE) distclean ${BUILDOPTS} LCL_PLATFORM=qt5
-endif
 endif
 	[ ! -f Makefile ] || $(MAKE) distclean ${BUILDOPTS} LCL_PLATFORM=gtk2
 	$(MAKE) -C docs/html clean
@@ -128,7 +120,7 @@
 make-files: make-files-stamp
 make-files-stamp:
 	# Regenerate make files using fpcmake.
-	find * -name Makefile.fpc -exec ${FPCMAKE} -Tall -q '{}' ';'
+	find * -name Makefile.fpc -exec ${FPCMAKE} -Tall '{}' +
 	touch $@
 
 clean-make-files:
@@ -146,9 +138,6 @@
 	dh_prep
 	# Add version.inc:
 	echo \'$(DEB_VERSION)\' > ide/version.inc
-	# For reproducible builds, we need the above file to have a fixed timestamp
-	# Not added to debian/source/timestamps to keep that auto-updateable for now.
-	touch --no-dereference --date="@$${SOURCE_DATE_EPOCH}" ide/version.inc
 
 	# The next line adds the revision.inc file which is missing in upstream sources
 	# Normally this is a number that can be taken from inspecting the tags directory here:
@@ -156,6 +145,11 @@
 	# But let's put something there describes better what the status is.
 	echo const RevisionStr = \'Debian package $(DEB_VERSION)\'\; > ide/revision.inc
 
+	# For reproducible builds, we need the above two files to have a fixed timestamp
+	# Not added to debian/source/timestamps to keep that auto-updateable for now.
+	touch --no-dereference --date="@$${SOURCE_DATE_EPOCH}" ide/version.inc
+	touch --no-dereference --date="@$${SOURCE_DATE_EPOCH}" ide/revision.inc
+
 	# Now that we are done with all changes to files in the packaging, let's
 	# make sure that all the timestamps are reproducible.
 	fp-fix-timestamps touch
@@ -166,12 +160,11 @@
 build-arch-stamp: ${DEB_HOST_FPC_OPT}
 	@echo "--- Building"
 	dh_testdir
-ifneq ($(DEB_HOST_ARCH_CPU),mips)
-ifneq ($(DEB_HOST_ARCH_CPU),mipsel)
+# Build qt5 platform everywhere except mips and mipsel
+ifeq (,$(filter $(DEB_HOST_ARCH),mips mipsel))
 	# QT5
 	${MAKE} bigide ${BUILDOPTS} LCL_PLATFORM=qt5
 	${MV} $(CURDIR)/lazarus $(CURDIR)/lazarus-qt5
-endif
 endif
 	# GTK2
 	${MAKE} bigide ${BUILDOPTS} LCL_PLATFORM=gtk2
@@ -189,14 +182,8 @@
 	${MKDIR} ${LIB_DIR}/tools
 	${MKDIR} ${LIB_DIR}/components/chmhelp/lhelp
 	# Install the IDE & its accessories
-ifeq ($(DEB_HOST_ARCH_CPU),mips)
-	${CP} -t ${LIB_DIR} \
-		$(CURDIR)/lazarus-gtk2 \
-		$(CURDIR)/lazbuild \
-		$(CURDIR)/startlazarus \
-		$(CURDIR)/languages
-else
-ifeq ($(DEB_HOST_ARCH_CPU),mipsel)
+# Do not install lazarus-qt5 on mips and mipsel
+ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel))
 	${CP} -t ${LIB_DIR} \
 		$(CURDIR)/lazarus-gtk2 \
 		$(CURDIR)/lazbuild \
@@ -209,7 +196,6 @@
 		$(CURDIR)/lazbuild \
 		$(CURDIR)/startlazarus \
 		$(CURDIR)/languages
-endif
 endif
 	${CP} -t ${LIB_DIR}/tools \
 		$(CURDIR)/tools/lazres \
