## lazarus 2.0.0+dfsg

=== debian/changelog ===
lazarus (2.0.0+dfsg-2) unstable; urgency=medium

  [ Graham Inggs ]
  * Expect failure in lazdebugtestbase.lpk

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 01 Mar 2019 14:50:21 +0100

lazarus (2.0.0+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Refresh arm_qt.patch
  * Refresh patch timestamps
  * Raise dependency on libqt5pas
  * Add fix-ftbfs-in-documentation-2.0.0.patch

 -- Paul Gevers <elbrus@debian.org>  Sun, 17 Feb 2019 22:16:05 +0100

lazarus (2.0.0~rc2+dfsg-2) experimental; urgency=medium

  * Rework autopkgtest to try all packages but only fail on unexpected
    failures

 -- Paul Gevers <elbrus@debian.org>  Sat, 10 Nov 2018 22:45:57 +0100

lazarus (2.0.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release
    - Allow aggpas component back in as only one file really has the
      problematic license, but that is not used anyways
  * Add arm_qt.patch from upstream to fix the arm builds
  * Refresh patch timestamps

 -- Paul Gevers <elbrus@debian.org>  Fri, 09 Nov 2018 13:51:40 +0100

lazarus (2.0.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream release
    - Update d/copyright
  * Refresh d/control
  * Drop add_onlinepackagemanager_mainfrm.lfm patch (fixed upstream)
  * Add fix-ftbfs-in-documentation.patch
  * Add fix-perl-shbang.patch (thanks Lintian) to comply with policy
  * Bump Standards version

 -- Paul Gevers <elbrus@debian.org>  Thu, 20 Sep 2018 20:35:54 +0200
