=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
            Abou Al Montacir <abou.almontacir@sfr.fr>,
            Paul Gevers <elbrus@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 11~),
                dh-exec (>=0.22),
                fp-utils (>= 3.0.0+dfsg-5),
@@ -13,24 +13,24 @@
                fpc-source (>= 3.0.2~),
                imagemagick,
                libgtk2.0-dev,
-               libqt5pas-dev (>= 2.6~beta),
+               libqt5pas-dev (>= 2.6~beta-6~),
                po-debconf,
                rdfind,
                symlinks
 Vcs-Git: https://salsa.debian.org/pascal-team/lazarus.git
-Vcs-Browser: https://salsa.debian.org/pascal-team/lazarus.git
+Vcs-Browser: https://salsa.debian.org/pascal-team/lazarus
 Homepage: https://www.lazarus-ide.org/
 Rules-Requires-Root: no
 
-Package: lazarus-1.8
+Package: lazarus-2.0
 Architecture: all
 Depends: lazarus-ide (>= ${source:Version}),
-         lazarus-src-1.8 (>= ${source:Version}),
-         lcl-1.8 (>= ${source:Version}),
+         lazarus-src-2.0 (>= ${source:Version}),
+         lcl-2.0 (>= ${source:Version}),
          ${misc:Depends}
 Recommends: fpc,
             fpc-source,
-            lazarus-doc-1.8
+            lazarus-doc-2.0
 Suggests: fp-docs,
           fp-utils
 Provides: lazarus
@@ -54,11 +54,11 @@
  This metapackage pulls in all the packages needed to have a typical
  Lazarus installation.
 
-Package: lazarus-src-1.8
+Package: lazarus-src-2.0
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Suggests: lazarus-ide-1.8
+Suggests: lazarus-ide-2.0
 Provides: lazarus-src
 Description: IDE for Free Pascal - LCL source code
  Lazarus is an IDE to create (graphical and console) applications with Free
@@ -81,7 +81,7 @@
  the IDE code tool to work properly (retrieving declarations and navigating
  in code).
 
-Package: lazarus-ide-1.8
+Package: lazarus-ide-2.0
 Architecture: any
 Depends: fp-compiler,
          ${misc:Depends},
@@ -110,16 +110,16 @@
  .
  This package contains the common files required to run Lazarus IDE.
 
-Package: lazarus-ide-gtk2-1.8
-Architecture: any
-Depends: lazarus-ide-1.8,
+Package: lazarus-ide-gtk2-2.0
+Architecture: any
+Depends: lazarus-ide-2.0,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gdb,
-            lcl-1.8
+            lcl-2.0
 Suggests: fp-utils
 Provides: lazarus-ide,
-          lazarus-ide-gtk-1.8,
+          lazarus-ide-gtk-2.0,
           lazarus-ide-gtk2
 Built-Using: fpc (= ${Build-Using})
 Description: IDE for Free Pascal - GTK+ version
@@ -141,16 +141,16 @@
  .
  This package contains the GTK+ version of the Lazarus IDE.
 
-Package: lazarus-ide-qt5-1.8
+Package: lazarus-ide-qt5-2.0
 Architecture: amd64 arm64 armel armhf i386 m68k powerpc
-Depends: lazarus-ide-1.8,
+Depends: lazarus-ide-2.0,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gdb,
-            lcl-1.8
+            lcl-2.0
 Suggests: fp-utils
 Provides: lazarus-ide,
-          lazarus-ide-qt-1.8,
+          lazarus-ide-qt-2.0,
           lazarus-ide-qt5
 Built-Using: fpc (= ${Build-Using})
 Description: IDE for Free Pascal - Qt version
@@ -172,14 +172,14 @@
  .
  This package contains the Qt version of the Lazarus IDE.
 
-Package: lcl-1.8
-Architecture: any
-Depends: lcl-units-1.8,
-         lcl-utils-1.8,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: fpc,
-            lazarus-src-1.8,
+Package: lcl-2.0
+Architecture: any
+Depends: lcl-units-2.0,
+         lcl-utils-2.0,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: fpc,
+            lazarus-src-2.0,
 Suggests: gdb
 Provides: lcl
 Built-Using: fpc (= ${Build-Using})
@@ -202,13 +202,13 @@
  .
  This metapackage installs the full LCL and components.
 
-Package: lcl-utils-1.8
+Package: lcl-utils-2.0
 Architecture: any
 Depends: fp-compiler,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: lazarus-ide-1.8,
-            lcl-1.8
+Recommends: lazarus-ide-2.0,
+            lcl-2.0
 Provides: lcl-utils
 Built-Using: fpc (= ${Build-Using})
 Description: Lazarus Components Library - command line build tools
@@ -231,9 +231,9 @@
  This package contains command line tools to ease building LCL based
  applications.
 
-Package: lcl-units-1.8
-Architecture: any
-Depends: lcl-gtk2-1.8 (= ${binary:Version}) | lcl-qt5-1.8 (= ${binary:Version}),
+Package: lcl-units-2.0
+Architecture: any
+Depends: lcl-gtk2-2.0 (= ${binary:Version}) | lcl-qt5-2.0 (= ${binary:Version}),
          ${fpc-abi:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -260,7 +260,7 @@
  .
  This package contains common components of the LCL.
 
-Package: lcl-nogui-1.8
+Package: lcl-nogui-2.0
 Architecture: any
 Depends: fp-units-base,
          fp-units-fcl,
@@ -269,7 +269,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: fpc,
-            lazarus-ide-1.8
+            lazarus-ide-2.0
 Suggests: gdb
 Provides: lcl-nogui
 Breaks: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
@@ -295,13 +295,13 @@
  This package contains the part of the LCL for developing non-graphical
  applications and command line tools.
 
-Package: lcl-gtk2-1.8
+Package: lcl-gtk2-2.0
 Architecture: any
 Depends: fp-units-base,
          fp-units-fcl,
          fp-units-gtk2,
          fp-units-rtl,
-         lcl-nogui-1.8,
+         lcl-nogui-2.0,
          ${fpc-abi:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
