## lazarus 2.0.2+dfsg

=== debian/changelog ===
lazarus (2.0.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Make better use of dpkg Makefile sniplets

 -- Paul Gevers <elbrus@debian.org>  Wed, 24 Jul 2019 13:51:47 +0200

lazarus (2.0.2+dfsg-1) experimental; urgency=medium

  * New upstream version 2.0.2+dfsg

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 21 May 2019 15:34:57 +0200
