=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 export LANG:=C
 
 include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
 
 # Documentation type to use chm/html
@@ -25,7 +26,7 @@
 # Set FPCVER
 FPCVER=$(shell ${FPC} -iV)
 
-OS_TARGET=$(subst kfreebsd,freebsd,$(shell dpkg-architecture -qDEB_HOST_ARCH_OS))
+OS_TARGET=$(subst kfreebsd,freebsd,${DEB_HOST_ARCH_OS})
 
 FPCTARGET=$(CPU_TARGET)-$(OS_TARGET)
 # Get version information from changelog file via pkg-info.mk
@@ -65,12 +66,8 @@
 ifndef LAZBUILD
 export LAZBUILD=${CURDIR}/lazbuild --lazarusdir=../..
 endif
-# Set default compilation options
-DEB_HOST_MULTIARCH ?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-DEB_BUILD_MULTIARCH ?=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
-
-LDFLAGS:=$(strip $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) \
-	dpkg-buildflags --get LDFLAGS | \
+
+LDFLAGS:=$(strip $(shell echo '${LDFLAGS}' | \
 	sed -e 's/-Wl,//g' -e 's/,/ /g' -e 's1-specs=/usr/share/dpkg/.*\.specs11')) --as-needed
 # Build with -pie everywhere except armhf, mips, mipsel
 ifeq (,$(filter $(DEB_HOST_ARCH),armhf mips mipsel))
@@ -225,3 +222,4 @@
 	sed -e 's/Lazarus.*/& (${DEB_UPSTREAM_MAIN_VERSION})/' -e 's/Exec=startlazarus/&-${DEB_UPSTREAM_MAIN_VERSION}/' $(CURDIR)/install/lazarus.desktop > $(INSTALL_DIR_ARCH)/usr/share/applications/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.desktop
 	# Install configuration files
 	${MKDIR} $(INSTALL_DIR_ARCH)/etc/lazarus${PACKAGESUFFIX}
+	sed -e "s#__LAZARUSDIR__#/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION}/#" -e 's#__FPCSRCDIR__#/usr/share/fpcsrc/$$(FPCVER)/#' ${CURDIR}/tools/install/linux/environmentoptions.xml > $(INSTALL_DIR_ARCH)/etc/lazarus${PACKAGESUFFIX}/environmentoptions.xml
